org.eclipse.incquery.runtime.rete.recipes

## Interface SingleParentNodeRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Subinterfaces:
    AggregatorIndexerRecipe, AlphaRecipe, CheckRecipe, EqualityFilterRecipe, EvalRecipe, ExpressionEnforcerRecipe, FilterRecipe, IndexerRecipe, InequalityFilterRecipe, InputFilterRecipe, ProjectionIndexerRecipe, TransitiveClosureRecipe, TransparentRecipe, TrimmerRecipe
  All Known Implementing Classes:
    AggregatorIndexerRecipeImpl, AlphaRecipeImpl, CheckRecipeImpl, EqualityFilterRecipeImpl, EvalRecipeImpl, ExpressionEnforcerRecipeImpl, FilterRecipeImpl, IndexerRecipeImpl, InequalityFilterRecipeImpl, InputFilterRecipeImpl, ProjectionIndexerRecipeImpl, SingleParentNodeRecipeImpl, TransitiveClosureRecipeImpl, TransparentRecipeImpl, TrimmerRecipeImpl

      public interface SingleParentNodeRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Single Parent Node Recipe'. Abstract base class for single-parent node recipes.

  The following features are supported:

  - `Parent`
  See Also:
    `RecipesPackage.getSingleParentNodeRecipe()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReteNodeRecipe` | `getParent()` Returns the value of the 'Parent' reference.
    `void` | `setParent(ReteNodeRecipe value)` Sets the value of the '`Parent`' reference.

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParent

          ReteNodeRecipe getParent()

      Returns the value of the 'Parent' reference.

      If the meaning of the 'Parent' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent' reference.
      See Also:
        `setParent(ReteNodeRecipe)`, `RecipesPackage.getSingleParentNodeRecipe_Parent()`

    - #### setParent

          void setParent(ReteNodeRecipe value)

      Sets the value of the '`Parent`' reference.
      Parameters:
        `value` - the new value of the 'Parent' reference.
      See Also:
        `getParent()`